track-event
curl --request POST \
--url https://api.notifly.tech/track-event \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectId": "example_project_1234567890abcdef",
"eventName": "product_view",
"userId": "user_abc123"
}
'import requests
url = "https://api.notifly.tech/track-event"
payload = {
"projectId": "example_project_1234567890abcdef",
"eventName": "product_view",
"userId": "user_abc123"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: 'example_project_1234567890abcdef',
eventName: 'product_view',
userId: 'user_abc123'
})
};
fetch('https://api.notifly.tech/track-event', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Successfully tracked events 3 events"
}{
"data": null,
"error": "Invalid Authorization Token"
}{
"data": null,
"error": "Invalid Authorization Token"
}{
"data": null,
"error": "<string>",
"projectId": null,
"durationMs": null
}이벤트 & 유저
이벤트 트래킹
유저 행동 이벤트나 전역 이벤트를 노티플라이 엔진으로 전송합니다. 수집된 이벤트 데이터는 캠페인 트리거, 세그먼트 설정, 메시지 개인화 등에 사용됩니다.
POST
/
track-event
track-event
다중 이벤트 트래킹한번에 여러 이벤트를 트래킹할 수도 있습니다. 같은 형식의 Object들을 Array 형태로 호출해주시면 됩니다.
- 최대 트래킹 수: 1회 호출당 최대 500개의 이벤트까지만 로깅 가능합니다.
인증
POST /authenticate로 발급받은 인증 토큰을 Bearer 형식으로 전달합니다.
본문
application/json
응답
성공적인 이벤트 전송입니다
성공 메시지
⌘I
